function handles_new = plot_things(handles)

handles.ch = round(get(handles.Channel_slider, 'Value'));set(handles.Channel_slider, 'Value', handles.ch);
handles.z = round(get(handles.Z_slider, 'Value'));set(handles.Z_slider, 'Value', handles.z);

set(handles.Channel_disp, 'String', [num2str(handles.ch), '/', num2str(handles.data.NumberOfChannel)]);
set(handles.Z_disp, 'String', [num2str(handles.z), '/', num2str(size(handles.data.Image{handles.channel}, 3))]);

Ylim = get(handles.axes1, 'Ylim'); Xlim = get(handles.axes1, 'Xlim');

%axes(handles.axes1); 

ch = get(handles.axes1, 'Children');
set(ch(3), 'CData', handles.data.Image{handles.ch}(:, :, handles.z));
handles_new = handles;

%axis([Xlim, Ylim]);
%axes(handles.axes1), hold on;
%plot(handles.axes1, handles.x, handles.y, 'r', 'linewidth', 3);

end

